Subject: Re: [secdir] SecDir review of draft-ietf-tsvwg-rsvp-l3vpn-02

From: Magnus Westerlund <[email-masked]>
Date: Thu, 29 Oct 2009 16:23:25 +0100

Hi Stefan,

Are you happy with the new version?

I will put this document on the agenda for the IESG call the week after
IETF. If you have serious grief then please tell me quickly so that I
can pull the document from the agenda.

Cheers

Magnus

Stefan Santesson skrev:
> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the IESG.
>  These comments were written primarily for the benefit of the security
> area directors.  Document editors and WG chairs should treat these
> comments just like any other last call comments.
> 
> This specification define a set of procedures to overcome challenges
> with deployment of Resource Reservation Protocols over BGP/MPLS VPNs.
> 
> The BGP/MPLS VPN (RFC 4364) is a VPN technique that doesn't rely
> encryption to ensure secrecy or message integrity. The security
> properties are instead dependent on the security of the network
> infrastructure.
> 
> It appears that this draft makes a serious effort to describe and
> analyze relevant security considerations. With my limited expertise in
> this particular area I can't find any thing that is obviously missing.
> 
> However, one question that comes to my mind, which might be worth
> looking at from a security perspective, is whether the procedures
> introduced by this document requires the communication to be unencrypted
> and if so, whether deployment of this protocol blocks or prevents
> legitimate use of e.g. IPsec based VPN as discussed in RFC 4364 and RFC
> 4023. If this is the case, should it be discussed in the security
> considerations section?
> 
> 
> *Stefan Santesson
> *AAA-sec.com
> 
> 
> 
> 
> 

-- 

Magnus Westerlund

IETF Transport Area Director
----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------